2018-12-12 19:54 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000128Branch 0.2.1-FINALBugpublic2016-11-23 10:27
Reporterpiter01 
Assigned ToQuix0r 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000128: Keine Anmeldung möglich
DescriptionHallo,

es betrift die Version: v0.2.1-FINAL R1068.
Wenn sich jemand am Mailtausch anmelden möchte kommt folgende Fehlermeldung:

MXChange - Mail Exchange ist in Script/Funktion what-register.php, Zeile 120 mit folgender Meldung gestorben: Error message written to debug.log. Please try to call the main page to continue.

im Debug.log habe ich folgende Einträge:

19.09.2009|19:02:23|js|LOAD_EXTENSION|93|WARNING: Extension mydata has no language file or we cannot read from it. lang=de
19.09.2009|19:02:23|js|LOAD_EXTENSION|109|WARNING: Extension mydata has no own functions file or we cannot read from it.
19.09.2009|19:02:23|js|LOAD_EXTENSION|93|WARNING: Extension network has no language file or we cannot read from it. lang=de
19.09.2009|19:02:23|js|LOAD_EXTENSION|109|WARNING: Extension network has no own functions file or we cannot read from it.
19.09.2009|19:02:23|js|LOAD_EXTENSION|109|WARNING: Extension other has no own functions file or we cannot read from it.
19.09.2009|19:02:23|js|LOAD_EXTENSION|93|WARNING: Extension profile has no language file or we cannot read from it. lang=de
19.09.2009|19:02:23|js|LOAD_EXTENSION|109|WARNING: Extension profile has no own functions file or we cannot read from it.
19.09.2009|19:02:23|js|LOAD_EXTENSION|109|WARNING: Extension repair has no own functions file or we cannot read from it.
19.09.2009|19:02:23|js|LOAD_EXTENSION|93|WARNING: Extension safe has no language file or we cannot read from it. lang=de
19.09.2009|19:02:23|js|LOAD_EXTENSION|109|WARNING: Extension safe has no own functions file or we cannot read from it.
19.09.2009|19:02:23|js|LOAD_EXTENSION|93|WARNING: Extension seo has no language file or we cannot read from it. lang=de
19.09.2009|19:02:23|js|LOAD_EXTENSION|109|WARNING: Extension seo has no own functions file or we cannot read from it.
19.09.2009|19:02:23|js|LOAD_EXTENSION|109|WARNING: Extension support has no own functions file or we cannot read from it.
19.09.2009|19:02:23|js|LOAD_EXTENSION|109|WARNING: Extension top10 has no own functions file or we cannot read from it.
19.09.2009|19:02:23|js|LOAD_EXTENSION|93|WARNING: Extension uberwach has no language file or we cannot read from it. lang=de
19.09.2009|19:02:23|js|LOAD_EXTENSION|109|WARNING: Extension usage has no own functions file or we cannot read from it.


habe mal nur den unternen Teil genommen, der obere ist identisch bzw. gleich.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000367

Quix0r (administrator)

Hab mit Commit 1138 es vermutlich noch nicht gefixt, sondern nur etwas umgebaut. :) Bitte mal testen.

~0000368

Quix0r (administrator)

Aber die Warnings deuten leider auf nichts hin. Deinstalliere bitte mal die ext-debug (per Adminbereich) und poste den Debug-Backtrace hier mal.

Falls es nicht gehen sollte, der Query sollte gehen:
DELETE LOW_PRIORITY FROM `mxchange_extensions` WHERE `ext_name`='debug' LIMIT 1;

Dann - falls ext-cache installiert ist - die Dateien inc/cache/*.cache mal loeschen, aber eigentlich reicht auch extensions.cache aus. :)

~0000369

piter01 (reporter)

Habe es eingespielt und bin etwasweiter nun bekomme ich folgende Meldung:

Note: errno=2048,errstr=Only variables should be passed by reference,errfile=what-register.php,errline=123
Please report this bug at bugs.mxchange.org and include the logfile from inc/cache/debug.log in your report (you can now attach files):

   1. functions.php:2659, debug_get_printable_backtrace(0)
   2. handler.php:64, debug_report_bug(1)
   3. what-register.php:123, __errorHandler(5)
   4. wrapper-functions.php:127, require(1)
   5. action-members.php:55, loadInclude(1)
   6. wrapper-functions.php:127, require(1)
   7. wrapper-functions.php:138, loadInclude(1)
   8. index.php:87, loadIncludeOnce(1)
   9. wrapper-functions.php:127, require(1)
  10. wrapper-functions.php:138, loadInclude(1)
  11. modules.php:156, loadIncludeOnce(1)


Request-URI: /modules.php?module=index&what=register

~0000370

Quix0r (administrator)

Mit Revision 1139 habe ich u.a. die Codestelle umgeschrieben. Beim Kapseln von $_POST bzw. $_GET in entsprechende Request-Funktionen ist wohl die eine oder andere Code-Stelle kaputt gegangen.

~0000371

piter01 (reporter)

bin`s wieder.
Habe die aktuelle Version eingespielt.
Die Fehlermeldung wird "kleiner", aber immernoch da.
folgende Meldung kommt nun:

Fatal error: Call to undefined function register_check_required_fields() in /kunden/241239_50226/mxchange/inc/modules/guest/what-register.php on line 123

~0000372

Quix0r (administrator)

Hast vermutlich nicht vollstaendig aktualisiert, denn die Funktion habe ich umbenannt, damit sie den Namenskonventionen eher entspricht.

~0000373

Quix0r (administrator)

Ich mach dann mal zu.

~0000793

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-09-19 17:07 piter01 New Issue
2009-09-20 00:34 Quix0r Note Added: 0000367
2009-09-20 00:34 Quix0r Assigned To => Quix0r
2009-09-20 00:34 Quix0r Status new => assigned
2009-09-20 00:34 Quix0r Projection none => tweak
2009-09-20 00:34 Quix0r ETA none => < 1 day
2009-09-20 00:34 Quix0r Build => SVN-1068
2009-09-20 00:34 Quix0r Target Version => 0.2.1-FINAL
2009-09-20 00:37 Quix0r Note Added: 0000368
2009-09-20 05:26 piter01 Note Added: 0000369
2009-09-20 12:48 Quix0r Note Added: 0000370
2009-09-20 14:09 piter01 Note Added: 0000371
2009-09-20 15:05 Quix0r Note Added: 0000372
2009-10-03 19:01 Quix0r Note Added: 0000373
2009-10-03 19:02 Quix0r Status assigned => resolved
2009-10-03 19:02 Quix0r Fixed in Version => 0.2.1-FINAL
2009-10-03 19:02 Quix0r Resolution open => fixed
2010-05-28 17:21 Quix0r Product Version => 0.2.1-FINAL
2016-11-23 10:27 Quix0r Note Added: 0000793
2016-11-23 10:27 Quix0r Status resolved => closed
+Issue History